Categories:
  - System
  - Time
License: GPL-3.0-only
AuthorEmail: support@timelimit.io
WebSite: https://timelimit.io
SourceCode: https://codeberg.org/timelimit/timelimit-android
IssueTracker: https://codeberg.org/timelimit/timelimit-android/issues

AutoName: TimeLimit

RepoType: git
Repo: https://codeberg.org/timelimit/timelimit-android.git

Builds:
  - versionName: 2.7.5
    versionCode: 87
    commit: release-2.7.5
    subdir: app
    gradle:
      - noGoogleApi
      - directVersion
      - productionServer

  - versionName: 3.6.0
    versionCode: 97
    commit: release-3.6.0
    subdir: app
    gradle:
      - noGoogleApi
      - directVersion
      - productionServer

  - versionName: 3.7.0
    versionCode: 98
    commit: release-3.7.0
    subdir: app
    gradle:
      - noGoogleApi
      - directVersion
      - productionServer

  - versionName: 3.7.1
    versionCode: 99
    commit: release-3.7.1
    subdir: app
    gradle:
      - noGoogleApi
      - directVersion
      - productionServer

  - versionName: 3.8.0
    versionCode: 100
    commit: release-3.8.0
    subdir: app
    gradle:
      - noGoogleApi
      - directVersion
      - productionServer

  - versionName: 3.9.0
    versionCode: 101
    commit: release-3.9.0
    subdir: app
    gradle:
      - noGoogleApi
      - directVersion
      - productionServer

  - versionName: 4.0.0
    versionCode: 102
    commit: release-4.0.0
    subdir: app
    gradle:
      - noGoogleApi
      - directVersion
      - productionServer

  - versionName: 4.1.0
    versionCode: 103
    commit: release-4.1.0
    subdir: app
    gradle:
      - noGoogleApi
      - directVersion
      - productionServer

  - versionName: 4.2.0
    versionCode: 104
    commit: release-4.2.0
    subdir: app
    gradle:
      - noGoogleApi
      - directVersion
      - productionServer

  - versionName: 4.3.0
    versionCode: 105
    commit: release-4.3.0
    subdir: app
    gradle:
      - noGoogleApi
      - directVersion
      - productionServer

  - versionName: 4.3.2
    versionCode: 107
    commit: release-4.3.2
    subdir: app
    gradle:
      - noGoogleApi
      - directVersion
      - productionServer

  - versionName: 4.4.0
    versionCode: 110
    commit: release-4.4.0
    subdir: app
    gradle:
      - noGoogleApi
      - directVersion
      - productionServer

  - versionName: 4.6.0
    versionCode: 130
    commit: release-4.6.0
    subdir: app
    gradle:
      - noGoogleApi
      - directVersion
      - productionServer

  - versionName: 4.7.0
    versionCode: 140
    commit: release-4.7.0
    subdir: app
    gradle:
      - noGoogleApi
      - directVersion
      - productionServer

  - versionName: 4.8.0
    versionCode: 150
    commit: release-4.8.0
    subdir: app
    gradle:
      - noGoogleApi
      - directVersion
      - productionServer

  - versionName: 4.8.1
    versionCode: 151
    commit: release-4.8.1
    subdir: app
    gradle:
      - noGoogleApi
      - directVersion
      - productionServer

  - versionName: 4.9.0
    versionCode: 155
    commit: release-4.9.0
    subdir: app
    gradle:
      - noGoogleApi
      - directVersion
      - productionServer

  - versionName: 4.9.2
    versionCode: 157
    commit: release-4.9.2
    subdir: app
    gradle:
      - noGoogleApi
      - directVersion
      - productionServer

  - versionName: 5.0.0
    versionCode: 160
    commit: release-5.0.0
    subdir: app
    gradle:
      - noGoogleApi
      - directVersion
      - productionServer

  - versionName: 5.1.0
    versionCode: 161
    commit: 228aaac149224e16b2beb63e4093c7314187b680
    subdir: app
    gradle:
      - noGoogleApi
      - directVersion
      - productionServer

  - versionName: 5.2.1
    versionCode: 171
    commit: 8a9ab3ced2a9a155c83f42e060e1e3c61baa5b3e
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - noGoogleApi
      - directVersion
      - productionServer

  - versionName: 5.2.2
    versionCode: 172
    commit: cc754d7acec5f2613d0d8392997f40675dbd54ba
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - noGoogleApi
      - directVersion
      - productionServer

  - versionName: 5.2.3
    versionCode: 173
    commit: 27f7dcd22f128538c30f6c4a107a22197f3a4f82
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - noGoogleApi
      - directVersion
      - productionServer

  - versionName: 5.2.4
    versionCode: 174
    commit: 0d34ff5c1953160833160ddd042a67e67deb5f43
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - noGoogleApi
      - directVersion
      - productionServer

  - versionName: 5.3.0
    versionCode: 175
    commit: eefc586f21d7f37614c04707b71bfdf2be465b77
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - noGoogleApi
      - directVersion
      - productionServer

  - versionName: 5.4.0
    versionCode: 176
    commit: 12fb7778f18d5cafb818eb3b1cc567413aa16cba
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - noGoogleApi
      - directVersion
      - productionServer

  - versionName: 5.4.1
    versionCode: 177
    commit: ea64b33d84da72c2a016469ee3006e138dfcf013
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - noGoogleApi
      - directVersion
      - productionServer

  - versionName: 5.5.0
    versionCode: 178
    commit: 7df677e7778b96f19bb72fdd0670e6f18a1fd468
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - noGoogleApi
      - directVersion
      - productionServer

  - versionName: 5.6.0
    versionCode: 179
    commit: 1a19b9fcc3de9a8d761ed62a5e07bce73313fa1e
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - noGoogleApi
      - directVersion
      - productionServer

  - versionName: 5.7.0
    versionCode: 180
    commit: 2d8156add22804aa8145e11a4ad5f2e707242abc
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - noGoogleApi
      - directVersion
      - productionServer

  - versionName: 5.8.0
    versionCode: 181
    commit: c7994e9fa4a416af86c988ce5850480917f6bc71
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - noGoogleApi
      - directVersion
      - productionServer

  - versionName: 6.0.0
    versionCode: 182
    commit: 0f15229533b057d1af660fe7b87dad4ac595975d
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - noGoogleApi
      - directVersion
      - productionServer

  - versionName: 6.0.1
    versionCode: 183
    commit: 9c887372f7e737adb49091f8493fd36a40bb7be9
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - noGoogleApi
      - directVersion
      - productionServer

  - versionName: 6.1.0
    versionCode: 184
    commit: c508f30f9347013faaceed5a4d87c4ca5e4dafe3
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - noGoogleApi
      - directVersion
      - productionServer
    scanignore:
      - app/src/main/assets/device-names.bin

  - versionName: 6.2.0
    versionCode: 185
    commit: 0068a67455e24e318c528b5a99c1dcf6a936a433
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - noGoogleApi
      - directVersion
      - productionServer
    scanignore:
      - app/src/main/assets/device-names.bin

  - versionName: 6.2.1
    versionCode: 186
    commit: 47c1446b8e6a841c1b2d38affb359be8e7d7159c
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - noGoogleApi
      - directVersion
      - productionServer
    scanignore:
      - app/src/main/assets/device-names.bin

AutoUpdateMode: Version release-%v
UpdateCheckMode: Tags
UpdateCheckName: io.timelimit.android
CurrentVersion: 6.2.1
CurrentVersionCode: 186
